%global commitId d1bcd733b83f42562c0a0b8fd6a8d28186088ec0

Name:          aap-azure-billing
Version:       0.2.0
Release:       1%{?dist}
Summary:       Ansible Automation Platform Billing connector

License:       ASL 2.0
URL:           git@github.com:ansible/ansible-automation-platform-azure-billing.git
Source0:       aap-azure-billing-d1bcd733b83f42562c0a0b8fd6a8d28186088ec0.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-pbr
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

Requires:      python%{python3_pkgversion}-boto3
Requires:      python%{python3_pkgversion}-dateutil
Requires:      python%{python3_pkgversion}-django
Requires:      python%{python3_pkgversion}-requests
Requires:      python%{python3_pkgversion}-psycopg2

%description
Ansible Automation Platform Billing connector

%prep
%autosetup -n %{name}-%{commitId} -S git

%build
export PBR_VERSION=%{version}
%{py3_build}

%install
export PBR_VERSION=%{version}
%{py3_install}

%files
%{python3_sitelib}/*
%{_bindir}/aap-billing
%{_bindir}/aap-billing-manage
%license LICENSE
%doc ChangeLog README.rst

%changelog
* Thu Mar 17 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Tue Nov 23 2021 Dimitri Savineau <dsavinea@redhat.com> - 0.0.1-1
- azure-billing 0.0.1
